# $Revision: 1.25 $, $Date: 2012/01/04 16:27:00 $
%define		_state		stable

Summary:	A user friendly IRC Client for KDE
Summary(pl.UTF-8):	Przyjazny dla użytkownika klient IRC dla KDE
Name:		konversation
Version:	1.4
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/konversation/%{version}/src/%{name}-%{version}.tar.xz
# Source0-md5:	f67271f08b9da75dc9daff9ecbf3b365
URL:		http://konversation.kde.org/
BuildRequires:	Qt3Support-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSvg-devel
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdepimlibs-devel
BuildRequires:	qca-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A simple and easy to use IRC client for KDE with support for:
- strikeout
- multi-channel joins
- away / unaway messages
- ignore list functionality
- support for foreign language characters
- configurable background colors and much more.

%description -l pl.UTF-8
Prosty i łatwy w użyciu klient IRC dla KDE wyróżniający się m.in:
- wsparciem dla przekreślania tekstu oraz różnych kodowań
- wchodzeniem na wiele kanałów na raz
- obsługą wiadomości away oraz teraz odtwarzanego utworu
- i wieloma innymi możliwościami

%prep
%setup -q

%build
%cmake \
	.

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir} \
        kde_libs_htmldir=%{_kdedocdir}

# remove unsupported locales
%{__rm} -rf $RPM_BUILD_ROOT%{_datadir}/locale/sr@ijekavian{latin,}

%find_lang %{name}  --with-kde --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/konversation
%{_datadir}/apps/kconf_update/*
%{_iconsdir}/*/*/*/*.*
%{_desktopdir}/kde4/konversation.desktop
%{_datadir}/kde4/services/konvirc.protocol
%{_datadir}/kde4/services/konvirc6.protocol
%{_datadir}/kde4/services/konvircs.protocol

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: konversation.spec,v $
Revision 1.25  2012/01/04 16:27:00  august84
- up to 1.4

Revision 1.24  2011/04/20 21:06:50  august84
- up to 1.3.1
- adjusted to new cmake macro

Revision 1.23  2010/06/24 22:48:11  arvenil
- remove unsupported locales
- release 2

Revision 1.22  2010/06/11 06:49:25  arvenil
- up to 1.3

Revision 1.21  2010/02/16 18:28:16  vip
- up to 1.2.3
- STBR

Revision 1.20  2009/12/03 19:49:16  sparky
- BR: QtSvg-devel, qca-devel, qt4-qmake, xorg-lib-libXScrnSaver-devel

Revision 1.19  2009/11/30 22:34:03  vip
- up to 1.2.1

Revision 1.18  2009/10/11 10:03:25  vip
- up to final 1.2
- STBR

Revision 1.17  2009/08/14 15:45:28  arvenil
- up to 1.2alpha6 (merged from DEVEL)
- there is no kde3 on TH so version 1.1 is useless;
  1.2alpha6 works fine for me
- release 1 (alpha)

Revision 1.16  2008/08/08 19:43:44  arvenil
- up to 1.1

Revision 1.15  2007/10/16 15:13:17  arvenil
- added .desktop patch

Revision 1.14  2007/09/04 22:24:35  arvenil
- %find_lang ... --all-name
- docs

Revision 1.13  2007/05/18 22:22:06  arvenil
- added am110.patch

Revision 1.12  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.11  2007/02/12 00:49:00  baggins
- converted to UTF-8

Revision 1.10  2006/10/07 23:17:39  vip
- up to 1.0.1

Revision 1.9  2006/09/01 16:20:07  vip
- up to 1.0

Revision 1.8  2006/07/02 09:32:55  charles
- new URL

Revision 1.7  2006/05/02 03:37:44  charles
- updated to 0.19
- updated BRs, cleanups

Revision 1.6  2005/06/25 21:27:14  blekot
- up to 0.18

Revision 1.5  2005/01/20 06:31:59  charles
- updated to 0.15.1
- new Source0 and URL

Revision 1.4  2004/06/04 19:19:37  qboosh
- cosmetics

Revision 1.3  2004/06/04 14:22:31  djurban
- fix amd64 build

Revision 1.2  2004/06/02 18:28:53  djurban
- fix desktop placement

Revision 1.1  2004/06/02 18:24:26  djurban
- initial, a nice kde irc client (very comfortable for switching from irssi,
  but has no ipv6 support [at least on kde from devel, kextsocked seems to
  be broken])
